<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser\Guesser;

use AutoAdmin\Bundle\Admin\Form\Type\Component\RichText;
use AutoAdmin\Bundle\Admin\Form\TypeGuesser\AbstractAdminTypeGuesser;
use Doctrine\DBAL\Types\Types;

class RichTextGuesser extends AbstractAdminTypeGuesser
{
    public function getFormType(): string
    {
        return RichText::class;
    }

    public function getDefaultFormTypeOptions(): array
    {
        return [];
    }

    public function getMatchingConfigStrings(): array
    {
        return [
            'rich_text',
            'richtext',
        ];
    }

    public function getMatchingAttributes(): array
    {
        return [
            Types::TEXT,
        ];
    }

    public function getMatchingPropertyTypes(): array
    {
        return [
            'string',
        ];
    }

    public function priority(): int
    {
        return 20;
    }
}
